gnutls_openpgp_crt_get_name(3)

NAME
gnutls_openpgp_crt_get_name - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_name(gnutls_openpgp_crt_t key, int idx, char * buf, size_t * sizeof_buf);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that contains the OpenPGP public key.

int idx
    the index of the ID to extract

char * buf
    a pointer to a structure to hold the name, may be NULL to only get the sizeof_buf .

size_t * sizeof_buf
    holds the maximum size of buf , on return hold the actual/required size of buf .

DESCRIPTION
Extracts the userID from the parsed OpenPGP key.

RETURNS
GNUTLS_E_SUCCESS on success, and if the index of the ID does not exist GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/